.

FAQ

SynchroArts.com works best with JavaScript enabled

Revoice Pro, VocALign Pro and VocALign Project are compatible with macOS 10.15 Catalina.

For macOS Catalina compatibility Revoice Pro users must use version 4.2.0.15 or later - available from the Synchro Arts Downloads page

There was a problem with older versions of Revoice Pro on macOS 10.15.1 - the software may crash if you create an APT or Warp process.

We validated the VocALign Project standalone software, VocALign Project, VocALign Pro and Revoice Pro plug-ins with the following DAW versions:

  • Ableton Live 10.1.7 and 10.1.14
  • Apple Logic Pro X 10.4.7, 10.4.8, 10.5.0 and 10.5.1
  • Avid Pro Tools Ultimate 2019.12, 2020.3 and 2020.5
  • MOTU Digital Performer 10
  • PreSonus Studio One Professional 4.5.4.54067, 4.6.1.55987 and 4.6.2.58729
  • REAPER 6.0.2 and 6.12
  • Steinberg Cubase Pro 10.0.50, 10.5.10, 10.5.11 and 10.5.20
  • Steinberg Nuendo 10.2.0, 10.2.10 and 10.3.0

The latest installers for our products are available from the Synchro Arts Downloads page.

Titan software is not compatible with macOS 10.15 Catalina.


Before you update your system to macOS 10.15 Catalina, we recommend that you check with the manufacturers of your DAW and your other plug-ins of choice, to ensure that this OS upgrade will be fully successful and will not impact your production workflow in any way. Please note that your DAW and other plug-ins may require an update to be compatible with Catalina.
-

For an overview on Catalina support, you will find this Production Expert page most helpful.

An excellent macOS 10.15 Catalina Compatibility List is also available in the Sweetwater Knowledge Base.